Bug 396191 - Bluetooth mouse has no enhanced features
Bluetooth mouse has no enhanced features
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-22 20:02 EST by Austin Acton
Modified: 2008-04-01 15:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-01 15:38:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X config (1.37 KB, text/plain)
2007-11-22 20:02 EST, Austin Acton
no flags Details
Xorg log (54.17 KB, text/plain)
2007-11-29 09:35 EST, Austin Acton
no flags Details

  None (edit)
Description Austin Acton 2007-11-22 20:02:05 EST
I have a logitech bluetooth mouse.  It's awesome, and it works well with Fedora.
 It has horizontal scroll - which doesn't work.  I think X needs to use the
evdev driver rather than generic to get horizontal scroll, and I don't think
Fedora's hardware detection system (kudzu?) can recognize hardware capabilities
over bluetooth at present.  Maybe it's a bluez issue?
Comment 1 Austin Acton 2007-11-22 20:02:05 EST
Created attachment 267251 [details]
X config
Comment 2 Matěj Cepl 2007-11-23 06:45:04 EST
Could we get your /var/log/Xorg.0.log as well, please?
Comment 3 Austin Acton 2007-11-29 09:35:21 EST
Created attachment 272921 [details]
Xorg log
Comment 4 Adam Jackson 2008-04-01 15:38:22 EDT
This should be working in rawhide, assuming bluetooth is competent enough to
pair the device and make it show up as a hid widget.  But we're using evdev now, so.

Note You need to log in before you can comment on or make changes to this bug.